{"openapi":"3.0.0","info":{"description":"This Swagger File Contains All the API which are exposed towards Cisco Control Center for Deployment of 5GaaS Appliance","version":"1.0.0","title":"3RU 5GaaS API MVP FOR CISCO CONTROL CENTER","termsOfService":"http://cisco.com/terms/","contact":{"email":"cndp-cloud-dev@cisco.com"}},"paths":{"/5gaas/customer/{customer_id}":{"post":{"tags":["Customer"],"summary":"This API is used to provision Customer information on CNDP Cloud","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"number"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerPostRequest"}}}},"responses":{"201":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerResponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]},"put":{"tags":["Customer"],"summary":"This API is used to update Customer information on CNDP Cloud","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"number"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerPutRequest"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerResponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]},"get":{"tags":["Customer"],"summary":"This API is used to get Customer information on CNDP Cloud","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerGetResponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]},"delete":{"tags":["Customer"],"summary":"This API is used to Delete Customer information on CNDP Cloud","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"number"}}],"responses":{"204":{"description":"successful operation"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]}},"/5gaas/customer/{customer_id}/register-controlnode":{"put":{"tags":["Control Node"],"summary":"This API is used to register a Control Node on CNDP Cloud","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ControlnodeRegisterRequest"}}},"description":"Control Group Object that is requried to be added","required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdgeReponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]}},"/5gaas/customer/{customer_id}/edge/{edge_id}":{"post":{"tags":["EDGE - PVT5G_BM_HA_MULTI_NODE"],"summary":"This API is used provision 5Gaas Edge appliance on CNDP Cloud for 1 RU","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"number"}},{"name":"edge_id","in":"path","description":"Unique Appliance Id Generated by Control Center","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdgePostRequest"}}}},"responses":{"201":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdgeReponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]},"put":{"tags":["EDGE - PVT5G_BM_HA_MULTI_NODE"],"summary":"This API is used update 5Gaas Edge appliance on CNDP Cloud for 1 RU","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"number"}},{"name":"edge_id","in":"path","description":"Unique Appliance Id Generated by Control Center","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdgePutRequest"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdgePutReponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]},"get":{"tags":["EDGE - PVT5G_BM_HA_MULTI_NODE"],"summary":"This API is used get 5Gaas Edge appliance on CNDP Cloud for 1 RU","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"number"}},{"name":"edge_id","in":"path","description":"Unique Appliance Id Generated by Control Center","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdgeGetReponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]},"delete":{"tags":["EDGE - PVT5G_BM_HA_MULTI_NODE"],"summary":"This API is used Delete 5Gaas Edge appliance on CNDP Cloud for 1 RU","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"number"}},{"name":"edge_id","in":"path","description":"Unique Appliance Id Generated by Control Center","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"successful operation"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]}},"/5gaas/customer/{customer_id}/edge/{edge_id}/meta":{"get":{"tags":["EDGE - PVT5G_BM_HA_MULTI_NODE"],"summary":"This API is used get 5Gaas Edge appliance status from CNDP Cloud for the specificed customer for 1 RU","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"number"}},{"name":"edge_id","in":"path","description":"Unique Appliance Id Generated by Control Center","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdgeGetMetaReponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]}},"/5gaas/customer/{customer_id}/edges/":{"get":{"tags":["EDGE - PVT5G_BM_HA_MULTI_NODE"],"summary":"This API is used get all 5Gaas Edge appliance from CNDP Cloud for the specificed customer for 1 RU","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"object","properties":{"edges":{"type":"array","items":{"$ref":"#/components/schemas/EdgeGetReponse"}}}}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]}},"/5gaas/customer/{customer_id}/edges/meta":{"get":{"tags":["EDGE - PVT5G_BM_HA_MULTI_NODE"],"summary":"This API is used get all 5Gaas Edge appliance from CNDP Cloud for the specificed customer for 1 RU","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"object","properties":{"edges":{"type":"array","items":{"$ref":"#/components/schemas/EdgeGetMetaReponse"}}}}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]}},"/5gaas/customer/{customer_id}/edge/{edge_id}/status":{"get":{"tags":["EDGE - PVT5G_BM_HA_MULTI_NODE"],"summary":"This API is used get 5Gaas Edge appliance status from CNDP Cloud for the specificed customer for 1 RU","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"number"}},{"name":"edge_id","in":"path","description":"Unique Appliance Id Generated by Control Center","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdgeStatusResponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]}},"/5gaas/customer/{customer_id}/edge/{edge_id}/enable_ise":{"patch":{"tags":["ISE - PVT5G_BM_HA_MULTI_NODE"],"summary":"This API is used to create ISE instance of 5Gaas Edge appliance on CNDP Cloud for 3 RU","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"number"}},{"name":"edge_id","in":"path","description":"Unique Appliance Id Generated by Control Center","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnableIsePatchRequest"}}}},"responses":{"201":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdgePutReponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]}},"/5gaas/customer/{customer_id}/edge/{edge_id}/disable_ise":{"patch":{"tags":["ISE - PVT5G_BM_HA_MULTI_NODE"],"summary":"This API is used to delete ISE instance of 5Gaas Edge appliance on CNDP Cloud for 3 RU","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"number"}},{"name":"edge_id","in":"path","description":"Unique Appliance Id Generated by Control Center","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisableIsePatchRequest"}}}},"responses":{"201":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdgePutReponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]}},"/5gaas/releases/{deployment_model}":{"get":{"tags":["Release"],"summary":"This API is used get 5Gaas Edge Release Versions for a specific Deployment Model","parameters":[{"name":"deployment_model","in":"path","description":"Supported deployment model [PVT5G_DM]","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"object","properties":{"releases":{"type":"array","description":"List of available releases","items":{"$ref":"#/components/schemas/ReleaseResponse"}}}}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]}},"/5gaas/customer/{customer_id}/ran-ems/{ran_ems_id}":{"post":{"tags":["RAN EMS"],"summary":"This API is used to provision 5Gaas RAN EMS information on CNDP Cloud","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"number"}},{"name":"ran_ems_id","in":"path","description":"Unique RAN EMS Id Generated by Control Center or Radio Partner","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RANPostRequest"}}}},"responses":{"201":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RANPostResponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]},"put":{"tags":["RAN EMS"],"summary":"This API is used to update 5Gaas RAN EMS information on CNDP Cloud","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"number"}},{"name":"ran_ems_id","in":"path","description":"Unique RAN EMS Id Generated by Control Center or Radio Partner","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RANPostRequest"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RANPutResponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]},"get":{"tags":["RAN EMS"],"summary":"This API is used to get 5Gaas RAN EMS information from the CNDP Cloud","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"number"}},{"name":"ran_ems_id","in":"path","description":"Unique RAN EMS Id Generated by Control Center or Radio Partner","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RANPutResponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]},"delete":{"tags":["RAN EMS"],"summary":"This API is used to Delete RAN EMS and associated edges on CNDP Cloud","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"number"}},{"name":"ran_ems_id","in":"path","description":"Unique RAN EMS Id Generated by Control Center or Radio Partner","required":true,"schema":{"type":"number"}}],"responses":{"204":{"description":"successful operation"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]}},"/5gaas/customer/{customer_id}/ran-ems/":{"get":{"tags":["RAN EMS"],"summary":"This API is used to get all 5Gaas RAN EMS information from the CNDP Cloud","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"object","properties":{"ran_ems":{"type":"array","items":{"$ref":"#/components/schemas/RANPutResponse"}}}}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]}},"/5gaas/customer/{customer_id}/edge/{edge_id}/day1config":{"get":{"tags":["Day1 Config"],"summary":"This API is used get Day1 Config for edge control node machine","parameters":[{"name":"customer_id","in":"path","description":"Unique Customer Id Generated by Control Center","required":true,"schema":{"type":"number"}},{"name":"edge_id","in":"path","description":"Unique Appliance Id Generated by Control Center","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"description":"Day1 Config generated based on edge info proisioned from CC into CDNP","$ref":"#/components/schemas/Day1ConfigResponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"408":{"description":"Request Timeout"},"415":{"description":"Unsupported Media Type"},"500":{"description":"Internal Server Error"},"501":{"description":"Method Not Supported"},"503":{"description":"Service Unavailable"}},"security":[{"basicAuth":[]}]}}},"security":[{"basicAuth":[]}],"servers":[{"url":"https://cndp-cloud-com/configfrontend/v1"}],"components":{"requestBodies":{"Body":{"content":{"application/json":{"schema":{"type":"object","properties":{"customer":{"$ref":"#/components/schemas/CustomerPostRequest"}}}}},"description":"Customer Object that is requried to be added","required":true},"site":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdgePostRequest"}}},"description":"Control Group Object that is requried to be added","required":true}},"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"CustomerPostRequest":{"type":"object","properties":{"name":{"type":"string","description":"Name of the Customer"},"description":{"type":"string","description":"Some Description related to customer"},"service_provider_id":{"type":"string","description":"Service provide id all numeric digit in string format"}}},"CustomerPutRequest":{"type":"object","properties":{"name":{"type":"string","description":"Name of the Customer"},"description":{"type":"string","description":"Some Description related to customer"},"service_provider_id":{"type":"string","description":"Service provide id all numeric digit in string format"},"version":{"type":"integer","description":"CNDP assigned version","example":1}}},"CustomerResponse":{"type":"object","properties":{"name":{"type":"string","description":"Name of the Customer"},"description":{"type":"string","description":"Some Description related to customer"},"service_provider_id":{"type":"string","description":"Service provide id all numeric digit in string format"}}},"CustomerGetResponse":{"type":"object","properties":{"name":{"type":"string","description":"Name of the Customer"},"description":{"type":"string","description":"Some Description related to customer"},"service_provider_id":{"type":"string","description":"Service provide id all numeric digit in string format"},"version":{"type":"integer","description":"CNDP assigned version","example":1}}},"ReleaseResponse":{"type":"object","properties":{"date":{"type":"string","example":"2021-10-06"},"version":{"type":"string","example":"1.0.1"},"notes":{"type":"string","example":"https://confluence-eng-sjc1.cisco.com/conf/display/MTTWIKI/Deployment+Version+Releases"},"level":{"type":"string","enum":["beta","stable_release_candidate","stable"]},"deployment_model":{"type":"string","enum":["PVT5G_BM_HA_MULTI_NODE"]}}},"ControlnodeRegisterRequest":{"type":"object","properties":{"system_product_name":{"type":"string","description":"Node type such UCS220 or UCS240"},"serial_number":{"type":"string","description":"Serial number of the UCS server"},"public_key":{"type":"string","description":"Public Key of Control Node"},"uuid":{"type":"string","description":"UUID of Control Node UCS server"},"ip_addresses":{"description":"Management IP address of Control Node","type":"array","items":{"type":"string","format":"ipv4"}}}},"EdgePostRequest":{"type":"object","properties":{"name":{"type":"string","example":"Cisco","description":"Name of Appliance/Site"},"description":{"type":"string","example":"Cisco RTP","description":"Description of Appliance Site"},"smf_id":{"$ref":"#/components/schemas/SmfID"},"upf_id":{"$ref":"#/components/schemas/UpfID"},"amf_id":{"$ref":"#/components/schemas/AmfID"},"region_id":{"$ref":"#/components/schemas/RegionID"},"deployment_model":{"$ref":"#/components/schemas/DeploymentModel"},"hardware_type":{"$ref":"#/components/schemas/HardwareType"},"infrastructure":{"$ref":"#/components/schemas/InfrastructureRequest"},"mobility_service":{"$ref":"#/components/schemas/MobilityService"},"scheduled_upgrade":{"$ref":"#/components/schemas/ScheduledUpgrade"},"ran_infra":{"$ref":"#/components/schemas/RanInfra"}}},"EdgePutRequest":{"type":"object","properties":{"name":{"type":"string","description":"Name of Appliance/Site"},"description":{"type":"string","description":"Description of Appliance Site"},"version":{"type":"integer","description":"CNDP assigned version","example":1},"smf_id":{"$ref":"#/components/schemas/SmfID"},"upf_id":{"$ref":"#/components/schemas/UpfID"},"amf_id":{"$ref":"#/components/schemas/AmfID"},"region_id":{"$ref":"#/components/schemas/RegionID"},"deployment_model":{"$ref":"#/components/schemas/DeploymentModel"},"hardware_type":{"$ref":"#/components/schemas/HardwareType"},"infrastructure":{"$ref":"#/components/schemas/InfrastructureRequest"},"mobility_service":{"$ref":"#/components/schemas/MobilityService"},"scheduled_upgrade":{"$ref":"#/components/schemas/ScheduledUpgrade"},"ran_infra":{"$ref":"#/components/schemas/RanInfra"}}},"EdgeReponse":{"type":"object","properties":{"id":{"type":"string","description":"Unique ID of Edge Appliance"},"name":{"type":"string"},"description":{"type":"string","description":"Description of Edge Appliance"},"smf_id":{"$ref":"#/components/schemas/SmfID"},"upf_id":{"$ref":"#/components/schemas/UpfID"},"amf_id":{"$ref":"#/components/schemas/AmfID"},"region_id":{"$ref":"#/components/schemas/RegionID"},"deployment_model":{"$ref":"#/components/schemas/DeploymentModel"},"hardware_type":{"$ref":"#/components/schemas/HardwareType"},"infrastructure":{"$ref":"#/components/schemas/InfrastructureResponse"},"mobility_service":{"$ref":"#/components/schemas/MobilityService"},"scheduled_upgrade":{"$ref":"#/components/schemas/ScheduledUpgrade"},"ran_infra":{"$ref":"#/components/schemas/RanInfra"},"status":{"$ref":"#/components/schemas/SiteStatus"}}},"EdgePutReponse":{"type":"object","properties":{"id":{"type":"string","description":"Unique ID of Edge Appliance"},"name":{"type":"string"},"description":{"type":"string","description":"Description of Edge Appliance"},"smf_id":{"$ref":"#/components/schemas/SmfID"},"upf_id":{"$ref":"#/components/schemas/UpfID"},"amf_id":{"$ref":"#/components/schemas/AmfID"},"region_id":{"$ref":"#/components/schemas/RegionID"},"deployment_model":{"$ref":"#/components/schemas/DeploymentModel"},"hardware_type":{"$ref":"#/components/schemas/HardwareType"},"infrastructure":{"$ref":"#/components/schemas/InfrastructureResponse"},"mobility_service":{"$ref":"#/components/schemas/MobilityService"},"scheduled_upgrade":{"$ref":"#/components/schemas/ScheduledUpgrade"},"ran_infra":{"$ref":"#/components/schemas/RanInfra"},"status":{"$ref":"#/components/schemas/SiteStatus"}}},"EdgeGetReponse":{"type":"object","properties":{"id":{"type":"string","description":"Unique ID of Edge Appliance"},"version":{"type":"integer","description":"CNDP assigned version","example":2},"name":{"type":"string"},"description":{"type":"string","description":"Description of Edge Appliance"},"smf_id":{"$ref":"#/components/schemas/SmfID"},"upf_id":{"$ref":"#/components/schemas/UpfID"},"amf_id":{"$ref":"#/components/schemas/AmfID"},"region_id":{"$ref":"#/components/schemas/RegionID"},"deployment_model":{"$ref":"#/components/schemas/DeploymentModel"},"hardware_type":{"$ref":"#/components/schemas/HardwareType"},"infrastructure":{"$ref":"#/components/schemas/InfrastructureResponse"},"mobility_service":{"$ref":"#/components/schemas/MobilityService"},"scheduled_upgrade":{"$ref":"#/components/schemas/ScheduledUpgrade"},"ran_infra":{"$ref":"#/components/schemas/RanInfra"},"status":{"$ref":"#/components/schemas/SiteStatus"}}},"EdgeGetMetaReponse":{"type":"object","properties":{"id":{"type":"string","description":"Unique ID of Edge Appliance"},"version":{"type":"integer","description":"CNDP assigned version","example":2},"name":{"type":"string"},"description":{"type":"string","description":"Description of Edge Appliance"},"smf_id":{"$ref":"#/components/schemas/SmfID"},"upf_id":{"$ref":"#/components/schemas/UpfID"},"amf_id":{"$ref":"#/components/schemas/AmfID"},"region_id":{"$ref":"#/components/schemas/RegionID"},"deployment_model":{"$ref":"#/components/schemas/DeploymentModel"},"hardware_type":{"$ref":"#/components/schemas/HardwareType"},"infrastructure":{"$ref":"#/components/schemas/InfrastructureResponse"},"mobility_service":{"$ref":"#/components/schemas/MobilityService"},"scheduled_upgrade":{"$ref":"#/components/schemas/ScheduledUpgrade"},"ran_infra":{"$ref":"#/components/schemas/RanInfra"},"meta":{"$ref":"#/components/schemas/META"},"status":{"$ref":"#/components/schemas/SiteStatus"}}},"EdgeStatusResponse":{"type":"object","properties":{"id":{"type":"string","description":"Unique ID of Appliance/Site"},"status":{"$ref":"#/components/schemas/SiteStatus"}}},"DeploymentModel":{"type":"string","description":"Type of Deployment Model","enum":["PVT5G_BM_HA_MULTI_NODE"]},"HardwareType":{"type":"string","description":"Type of Vendor Hardware","enum":["CISCO_UCS"]},"SmfID":{"type":"array","description":"SMF instance id","items":{"type":"string","format":"hex","example":["AFB456"]}},"UpfID":{"type":"array","description":"UPF instance id","items":{"type":"string","format":"integer","example":["55555","55556"]}},"AmfID":{"type":"array","description":"AMF instance id","items":{"type":"string","format":"string","example":["9876234445"]}},"RegionID":{"type":"string","description":"Region id","example":"2df01b0a-6aae-4a01-a4dd-f4326091b744"},"InfrastructureRequest":{"type":"object","properties":{"edge_machines":{"type":"array","items":{"$ref":"#/components/schemas/EdgeMachinesRequest"},"example":[{"edge_machine_role":"BM_CN_CP_UP","mgmt_address_ipv4":"10.122.121.215","mgmt_route":{"gw_ipv4":"10.122.121.1","gw_vlan":3221,"netmask":"255.255.255.0"},"bare_metal_chassis":{"connection_address_ipv4":"10.122.121.205","route":{"gw_ipv4":"10.122.121.1","gw_vlan":3221,"netmask":"255.255.255.0"}}},{"edge_machine_role":"BM_CN_CP_UP","mgmt_address_ipv4":"10.122.121.216","mgmt_route":{"gw_ipv4":"10.122.121.1","gw_vlan":3221,"netmask":"255.255.255.0"},"bare_metal_chassis":{"connection_address_ipv4":"10.122.121.206","route":{"gw_ipv4":"10.122.121.1","gw_vlan":3221,"netmask":"255.255.255.0"}}},{"edge_machine_role":"BM_CN_CP_UP","mgmt_address_ipv4":"10.122.121.217","mgmt_route":{"gw_ipv4":"10.122.121.1","gw_vlan":3221,"netmask":"255.255.255.0"},"bare_metal_chassis":{"connection_address_ipv4":"10.122.121.207","route":{"gw_ipv4":"10.122.121.1","gw_vlan":3221,"netmask":"255.255.255.0"}}}]},"networking":{"$ref":"#/components/schemas/Networking"}}},"InfrastructureResponse":{"type":"object","properties":{"edge_machines":{"type":"array","items":{"$ref":"#/components/schemas/EdgeMachinesResponse"},"example":[{"edge_machine_role":"BM_CN_CP_UP","mgmt_address_ipv4":"10.122.121.215","mgmt_route":{"gw_ipv4":"10.122.121.1","gw_vlan":3221,"netmask":"255.255.255.0"},"bare_metal_chassis":{"connection_address_ipv4":"10.122.121.205","route":{"gw_ipv4":"10.122.121.1","gw_vlan":3221,"netmask":"255.255.255.0"},"serial_number":"WZP23090659","system_product_name":"UCSC-C220-M5SX"},"edge_control_node":{"public_key":"-----BEGIN PUBLIC KEY-----\nAAAAB3NzaC1yc2EAAAADAQABAAABAQC6b01+p\n-----END PUBLIC KEY-----\n","sha_id":"5552f372e9f8f789bf0476c05a4bfd6cc8e6699e2acd09a8b36382156714f62e"}},{"edge_machine_role":"BM_CN_CP_UP","mgmt_address_ipv4":"10.122.121.216","mgmt_route":{"gw_ipv4":"10.122.121.1","gw_vlan":3221,"netmask":"255.255.255.0"},"bare_metal_chassis":{"connection_address_ipv4":"10.122.121.206","route":{"gw_ipv4":"10.122.121.1","gw_vlan":3221,"netmask":"255.255.255.0"},"serial_number":"WZP23090660","system_product_name":"UCSC-C220-M5SX"},"edge_control_node":{"public_key":"-----BEGIN PUBLIC KEY-----\nAAAAB3NzaC1yc2EAAAADAQABAAABAQC6b02+r\n-----END PUBLIC KEY-----\n","sha_id":"5552f372e9f8f789bf0476c05a4bfd6cc8e6699e2acd09a8b36382156714f62d"}},{"edge_machine_role":"BM_CN_CP_UP","mgmt_address_ipv4":"10.122.121.217","mgmt_route":{"gw_ipv4":"10.122.121.1","gw_vlan":3221,"netmask":"255.255.255.0"},"bare_metal_chassis":{"connection_address_ipv4":"10.122.121.207","route":{"gw_ipv4":"10.122.121.1","gw_vlan":3221,"netmask":"255.255.255.0"},"serial_number":"WZP23090660","system_product_name":"UCSC-C220-M5SX"},"edge_control_node":{"public_key":"-----BEGIN PUBLIC KEY-----\nAAAAB3NzaC1yc2EAAAADAQABAAABAQC6b03+r\n-----END PUBLIC KEY-----\n","sha_id":"5552f372e9f8f789bf0476c05a4bfd6cc8e6699e2acd09a8b36382156714f62f"}}]},"networking":{"$ref":"#/components/schemas/Networking"}}},"EdgeMachinesRequest":{"type":"object","properties":{"edge_machine_role":{"type":"string","description":"Type of Vendor Hardware","enum":["BM_CN_CP_UP"]},"bare_metal_chassis":{"$ref":"#/components/schemas/BareMetalChassisRequest"},"mgmt_address_ipv4":{"$ref":"#/components/schemas/MgmtAddressIpv4"},"mgmt_route":{"$ref":"#/components/schemas/route"}}},"EdgeMachinesResponse":{"type":"object","properties":{"edge_machine_role":{"type":"string","description":"Type of Vendor Hardware","enum":["BM_CN_CP_UP"]},"bare_metal_chassis":{"$ref":"#/components/schemas/BareMetalChassisResponse"},"edge_control_node":{"$ref":"#/components/schemas/EdgeControlNode"},"mgmt_address_ipv4":{"$ref":"#/components/schemas/MgmtAddressIpv4"},"mgmt_route":{"$ref":"#/components/schemas/route"}}},"BareMetalChassisRequest":{"type":"object","properties":{"connection_address_ipv4":{"type":"string","format":"ipv4","example":"10.122.121.206","description":"BMC CIMC Connection IPv4"},"route":{"$ref":"#/components/schemas/route"}}},"BareMetalChassisResponse":{"type":"object","properties":{"connection_address_ipv4":{"type":"string","format":"ipv4","example":"10.122.121.206","description":"BMC CIMC Connection IPv4"},"route":{"$ref":"#/components/schemas/route"},"serial_number":{"type":"string","example":"WZP23090659"},"system_product_name":{"type":"string","example":"UCSC-C220-M5SX"}}},"EdgeControlNode":{"type":"object","properties":{"public_key":{"type":"string","example":"-----BEGIN PUBLIC KEY-----\nAAAAB3NzaC1yc2EAAAADAQABAAABAQC6b02+r\n-----END PUBLIC KEY-----\n","description":"Public Key send via Control Node Registration"},"sha_id":{"type":"string","example":"5552f372e9f8f789bf0476c05a4bfd6cc8e6699e2acd09a8b36382156714f62d","description":"SHA id generated by CNDP Cloud from the public key"}}},"MgmtAddressIpv4":{"type":"string","format":"ipv4","example":"10.122.121.215"},"Networking":{"type":"object","properties":{"n6_interface":{"type":"array","items":{"$ref":"#/components/schemas/N6Interface"},"example":[{"addresses_ipv4":"10.10.20.18","route_ipv4":{"gw_ipv4":"10.10.20.1","gw_vlan":30,"netmask":"255.255.255.0"},"addresses_ipv6":"fe80::1234","route_ipv6":{"gw_ipv6":"0000:0000:0000:0000:0000:ffff:0a0a:130b","gw_vlan":30,"netmask":"FFFF:FF00:0000:0000:0000:0000:0000:0000"}},{"addresses_ipv4":"10.10.20.19","route_ipv4":{"gw_ipv4":"10.10.20.1","gw_vlan":30,"netmask":"255.255.255.0"},"addresses_ipv6":"fe80::1235","route_ipv6":{"gw_ipv6":"0000:0000:0000:0000:0000:ffff:0a0a:130b","gw_vlan":30,"netmask":"FFFF:FF00:0000:0000:0000:0000:0000:0000"}}]},"n2_interface":{"type":"array","items":{"$ref":"#/components/schemas/RANInterface"},"example":[{"addresses_ipv4":"10.10.19.11","route_ipv4":{"gw_ipv4":"10.10.19.1","gw_vlan":194,"netmask":"255.255.255.0"}}]},"n3_interface":{"type":"array","items":{"$ref":"#/components/schemas/RANInterface"},"example":[{"addresses_ipv4":"10.10.19.12","route_ipv4":{"gw_ipv4":"10.10.19.1","gw_vlan":194,"netmask":"255.255.255.0"}},{"addresses_ipv4":"10.10.19.13","route_ipv4":{"gw_ipv4":"10.10.19.1","gw_vlan":194,"netmask":"255.255.255.0"}}]},"s1mme_interface":{"type":"array","items":{"$ref":"#/components/schemas/RANInterface"},"example":[{"addresses_ipv4":"10.10.19.14","route_ipv4":{"gw_ipv4":"10.10.19.1","gw_vlan":194,"netmask":"255.255.255.0"}},{"addresses_ipv4":"10.10.19.15","route_ipv4":{"gw_ipv4":"10.10.19.1","gw_vlan":194,"netmask":"255.255.255.0"}}]},"s1u_interface":{"type":"array","items":{"$ref":"#/components/schemas/RANInterface"},"example":[{"addresses_ipv4":"10.10.19.16","route_ipv4":{"gw_ipv4":"10.10.19.1","gw_vlan":194,"netmask":"255.255.255.0"}},{"addresses_ipv4":"10.10.19.17","route_ipv4":{"gw_ipv4":"10.10.19.1","gw_vlan":194,"netmask":"255.255.255.0"}}]},"ntp_addresses":{"$ref":"#/components/schemas/NTP"},"dns":{"$ref":"#/components/schemas/INFRA_DNS"},"http_proxy_settings":{"$ref":"#/components/schemas/HTTPProxySettings"},"private_subnet_ipv4":{"type":"object","properties":{"subnet":{"type":"string","format":"cidr","example":"10.25.0.0/21"},"gw_vlan":{"type":"array","items":{"type":"integer","example":2500}}}}}},"N6Interface":{"type":"object","properties":{"addresses_ipv4":{"type":"string","format":"ipv4","example":"200.200.202.2"},"route_ipv4":{"$ref":"#/components/schemas/RouteN6IPv4"},"addresses_ipv6":{"type":"string","format":"ipv6","example":"fc00:10:200:10::12"},"route_ipv6":{"$ref":"#/components/schemas/RouteN6IPv6"}},"required":["addresses_ipv4","route_ipv4","addresses_ipv6","route_ipv6"]},"RANInterface":{"type":"object","properties":{"addresses_ipv4":{"type":"string","format":"ipv4"},"route_ipv4":{"$ref":"#/components/schemas/RouteRadioIPv4"}},"required":["addresses_ipv4","route_ipv4"]},"NTP":{"type":"array","items":{"type":"string","format":"ipv4","example":"10.81.254.131"},"required":["ntp_addresses"]},"INFRA_DNS":{"type":"array","items":{"type":"string","format":"ipv4"},"required":["dns"]},"HTTPProxySettings":{"type":"object","properties":{"proxy_url":{"type":"string","example":"http://proxy-wsa.esl.cisco.com:80"},"no_proxy":{"type":"string","example":"localhost,10.122.0.0/16,cisco.com,dockerhub.cisco.com,192.50.0.0/16,nip.io,127.0.0.1,10.21.0.0/21"},"username":{"type":"string","example":"admin"},"passphrase":{"type":"string","example":"ASD23E$#@*#@JE"},"certificate":{"type":"string"}}},"route":{"type":"object","properties":{"gw_ipv4":{"type":"string","format":"ipv4","example":"10.122.121.1"},"gw_vlan":{"type":"integer","example":4000},"netmask":{"type":"string","example":"255.255.255.0"}},"required":["gw_ipv4","gw_vlan"]},"RouteN6IPv4":{"type":"object","properties":{"gw_ipv4":{"type":"string","format":"ipv4","example":"200.200.202.1"},"gw_vlan":{"type":"integer","example":31},"netmask":{"type":"string","example":"255.255.255.0"}},"required":["gw_ipv4","gw_vlan"]},"RouteRadioIPv4":{"type":"object","properties":{"gw_ipv4":{"type":"string","format":"ipv4","example":"200.200.202.1"},"gw_vlan":{"type":"integer","example":32},"netmask":{"type":"string","example":"255.255.255.0"}},"required":["gw_ipv4","gw_vlan"]},"route_ipv6":{"type":"object","properties":{"gw_ipv6":{"type":"string","format":"ipv6"},"gw_vlan":{"type":"integer","example":4001},"netmask":{"type":"string","example":"FFFF:FFFF:FFFF:FFFF:0000:0000:0000:0000"}},"required":["gw_ipv6","gw_vlan"]},"RouteN6IPv6":{"type":"object","properties":{"gw_ipv6":{"type":"string","format":"ipv6","example":"fc00:10:200:10::1"},"gw_vlan":{"type":"integer","example":31},"netmask":{"type":"string","example":"ffff:ffff:ffff:ffff:ffff:ffff:ffff:0000"}},"required":["gw_ipv6","gw_vlan"]},"MobilityService":{"type":"object","properties":{"dns":{"$ref":"#/components/schemas/DNS"},"dnn":{"type":"string","example":"internet"},"ipam":{"$ref":"#/components/schemas/IPAM"},"plmn":{"$ref":"#/components/schemas/PLMN"},"proxy_end_point_id":{"$ref":"#/components/schemas/ProxyEndPointId"},"enable_ise":{"type":"boolean","description":"When enable_ise=true, then required ise attributes"},"ise":{"$ref":"#/components/schemas/ISEProxy"}},"required":["dns","dnn","ipam","proxy_end_point_id"]},"IPAM":{"type":"object","properties":{"address_ipv4":{"type":"array","items":{"$ref":"#/components/schemas/ipam_ipv4"}},"address_ipv6":{"type":"array","items":{"$ref":"#/components/schemas/ipam_ipv6"}}},"required":["address_ipv4","address_ipv6"]},"PLMN":{"type":"object","properties":{"mcc":{"type":"string","example":200},"mnc":{"type":"string","example":111}},"required":["mcc","mnc"]},"ProxyEndPointId":{"type":"string","example":"POD_8_PROD","description":"Provision either proxy_end_point or proxy_end_point_id"},"ipam_ipv4":{"type":"object","properties":{"start":{"type":"string","format":"ipv4","example":"202.0.0.1"},"stop":{"type":"string","format":"ipv4","example":"202.255.255.254"}}},"ipam_ipv6":{"type":"object","properties":{"start":{"type":"string","format":"ipv6","example":"0000:0000:0000:0000:0000:ffff:c200:0001"},"stop":{"type":"string","format":"ipv6","example":"0000:0000:0000:0000:0000:ffff:c2ff:fffe"}}},"DNS":{"type":"object","properties":{"primary_ipv4":{"type":"string","format":"ipv4","example":"8.8.8.8"},"secondary_ipv4":{"type":"string","format":"ipv4","example":"8.8.4.4"},"primary_ipv6":{"type":"string","format":"ipv6","example":"0::ffff:8080:8080"},"secondary_ipv6":{"type":"string","format":"ipv6","example":"0::ffff:8080:0404"}},"required":["primary_ipv4","primary_ipv6","secondary_ipv4","secondary_ipv6"]},"ScheduledUpgrade":{"type":"object","properties":{"target_deployment_model_version":{"type":"string","example":"1.0.1"},"target_update_time":{"type":"string","example":"2021-11-20T10:00:00.021Z"},"redeploy":{"type":"boolean","default":false}}},"RanInfra":{"type":"array","items":{"type":"object","properties":{"ran_ems_id":{"type":"string","example":"RAN-123"},"ran_node_id":{"type":"array","items":{"type":"string","example":["Node1","Node2"]}}}}},"SiteStatus":{"type":"object","properties":{"deployment_status":{"$ref":"#/components/schemas/DeploymentStatus"},"machine_statuses":{"$ref":"#/components/schemas/MachineStatuses"}}},"DeploymentStatus":{"type":"object","properties":{"state":{"type":"string","description":"Deployment Status","enum":["NOT_PROVISIONED","PROVISIONED","UPGRADING","FAILED"]}}},"MachineStatuses":{"type":"array","items":{"type":"object","properties":{"machine_id":{"type":"string","example":"df127311-c56c-46e1-b8dd-d291ee93906b"},"deployment_status":{"$ref":"#/components/schemas/DeploymentStatus"},"controlnode_status":{"$ref":"#/components/schemas/ControlnodeStatus"}}},"example":[{"controlnode_status":{"state":"UNREGISTERED"},"machine_id":"c57c5599-f453-4425-90b7-542a33481a3a"},{"controlnode_status":{"state":"UNREGISTERED"},"machine_id":"9ce2c651-4055-4838-891c-9ba203cb92fb"},{"controlnode_status":{"state":"UNREGISTERED"},"machine_id":"9ce2c651-4055-4838-891c-9ba203cb92fc"}]},"ControlnodeStatus":{"type":"object","properties":{"state":{"type":"string","description":"Edge Control Node Status","enum":["UNREGISTERED","REGISTERED","CONNECTED","DISCONNECTED"]}}},"META":{"type":"object","properties":{"infrastructure":{"type":"object","properties":{"edge_machines":{"type":"array","items":{"type":"object"},"example":[{"edge_machine_credentials":{"proxy_public_key":"-----BEGIN PUBLIC KEY-----\nMCowBQYDK2VwAyEABKg6Lz2eO1iEqHuLoTFC6+oql9jqk+5mTj0L//z5NBA=\n-----END PUBLIC KEY-----\n"},"external_network":{"control_network":{"amf_id":"9876234445","smf_id":"AFB456","n2_interface_ipv4":{"cidr":24,"gateway":"10.10.19.1","ip":"10.10.19.11","vlan":"194"},"s1mme_interface_ipv4":{"cidr":24,"gateway":"10.10.19.1","ip":"10.10.19.14","vlan":"194"}},"user_network":{"upf_id":"55555","n3_interface_ipv4":{"cidr":24,"gateway":"10.10.19.1","ip":"10.10.19.12","vlan":"194"},"n6_interface_ipv4":{"cidr":24,"gateway":"10.10.20.1","ip":"10.10.20.18","vlan":"30"},"n6_interface_ipv6":{"cidr":64,"gateway":"0000:0000:0000:0000:0000:ffff:0a0a:130b","ip":"fe80::1234","vlan":"30"},"s1u_interface_ipv4":{"cidr":24,"gateway":"10.10.19.1","ip":"10.10.19.16","vlan":"194"}}},"internal_network":{"control_signalling":{"vlan":2500,"subnet_ipv4":"10.25.1.0/24","amf_sbi_ipv4":"10.25.1.2","smf_s5_ipv4":"10.25.1.3","smf_sbi_ipv4":"10.25.1.4","smf_s5e_ipv4":"10.25.1.5","smf_s11_ipv4":"10.25.1.6","proxy_5g_ipv4":"10.25.1.8","proxy_4g_ipv4":"10.25.1.9","ingress_ipv4":"10.25.1.11","host_os_ipv4":"10.25.1.254","gateway_ipv4":"10.25.1.1","broadcast_ipv4":"10.25.1.255","upf":[{"management_upf_ipv4":"10.25.1.11","upf_n4_ipv4":"10.25.1.12","upf_s5e_ipv4":"10.25.1.13","subnet_ipv4":"10.25.1.0/24","broadcast_ipv4":"10.25.1.255","gateway_ipv4":"10.25.1.1","vlan":2500,"upf_id":"10000"},{"management_upf_ipv4":"10.25.1.18","upf_n4_ipv4":"10.25.1.19","upf_s5e_ipv4":"10.25.1.20","subnet_ipv4":"10.25.1.0/24","broadcast_ipv4":"10.25.1.255","gateway_ipv4":"10.25.1.1","vlan":2500,"upf_id":"10001"}],"mme":[{"management_mme_ipv4":"10.25.1.14","mme_s10_ipv4":"10.25.1.15","mme_s11_ipv4":"10.25.1.16","mme_s6a_ipv4":"10.25.1.17","subnet_ipv4":"10.25.1.0/24","broadcast_ipv4":"10.25.1.255","gateway_ipv4":"10.25.1.1","mme_code":216,"vlan":2500,"upf_id":"10000"},{"management_mme_ipv4":"10.25.1.21","mme_s10_ipv4":"10.25.1.22","mme_s11_ipv4":"10.25.1.23","mme_s6a_ipv4":"10.25.1.24","subnet_ipv4":"10.25.1.0/24","broadcast_ipv4":"10.25.1.255","gateway_ipv4":"10.25.1.1","mme_code":161,"vlan":2500,"upf_id":"10001"}]},"docker_subnet_ipv4":{"gateway_ipv4":"10.25.5.1","subnet_ipv4":"10.25.5.0/24"},"kubernetes_pods":{"gateway_ipv4":"10.25.2.1","subnet_ipv4":"10.25.2.0/24"},"kubernetes_service":{"gateway_ipv4":"10.25.3.1","subnet_ipv4":"10.25.3.0/24"},"kvm_monitoring":[{"mme_ipv4":"10.25.4.2","upf_ipv4":"10.25.4.3","gateway_ipv4":"10.25.4.1","subnet_ipv4":"10.25.4.0/24"}]},"machine_id":"498CF490-B1B2-AA4F-9651-F8138038D308","management_cidr":24},{"edge_machine_credentials":{"proxy_public_key":"-----BEGIN PUBLIC KEY-----\\nMCowBQYDK2VwAyEABKg6Lz2eO1iEqHuLoTFC6+oql9jqk+5mTj0L//z5NBB=\\n-----END PUBLIC KEY-----\\n"},"external_network":{"control_network":{"amf_id":"9876234446","smf_id":"AFB457","n2_interface_ipv4":{"cidr":24,"gateway":"10.10.19.1","ip":"10.10.19.11","vlan":"194"},"s1mme_interface_ipv4":{"cidr":24,"gateway":"10.10.19.1","ip":"10.10.19.15","vlan":"194"}},"user_network":{"upf_id":"55556","n3_interface_ipv4":{"cidr":24,"gateway":"10.10.19.1","ip":"10.10.19.13","vlan":"194"},"n6_interface_ipv4":{"cidr":24,"gateway":"10.10.20.1","ip":"10.10.20.19","vlan":"30"},"n6_interface_ipv6":{"cidr":64,"gateway":"0000:0000:0000:0000:0000:ffff:0a0a:130b","ip":"fe80::1234","vlan":"30"},"s1u_interface_ipv4":{"cidr":24,"gateway":"10.10.19.1","ip":"10.10.19.17","vlan":"194"}}},"internal_network":{"control_signalling":{"amf_sbi_ipv4":"10.25.1.2","broadcast_ipv4":"10.25.1.255","gateway_ipv4":"10.25.1.1","host_os_ipv4":"10.25.1.16","ingress_ipv4":"10.25.1.11","management_mme_ipv4":"10.25.1.17","management_upf_ipv4":["10.25.1.18"],"mme_s11_ipv4":"10.25.1.19","mme_s6a_ipv4":"10.25.1.20","proxy_4g_ipv4":"10.25.1.21","proxy_5g_ipv4":"10.25.1.22","smf_s11_ipv4":"10.25.1.23","smf_s5_ipv4":"10.25.1.24","smf_s5e_ipv4":"10.25.1.25","smf_sbi_ipv4":"10.25.1.26","subnet_ipv4":"10.25.1.0/24","upf_n4_ipv4":"10.25.1.27","upf_s5e_ipv4":"10.25.1.28","ise_proxy_ipv4":"10.25.1.31","smf_ise_proxy_ipv4":"10.25.1.32","vlan":"2500"},"docker_subnet_ipv4":{"gateway_ipv4":"10.25.5.1","subnet_ipv4":"10.25.5.0/24"},"kubernetes_pods":{"gateway_ipv4":"10.25.2.1","subnet_ipv4":"10.25.2.0/24"},"kubernetes_service":{"gateway_ipv4":"10.25.3.1","subnet_ipv4":"10.25.3.0/24"},"kvm_monitoring":[{"mme_ipv4":"10.25.4.4","upf_ipv4":"10.25.4.5","gateway_ipv4":"10.25.4.1","subnet_ipv4":"10.25.4.0/24"}]},"machine_id":"498CF490-B1B2-AA4F-9651-F8138038D308","management_cidr":24},{"edge_machine_credentials":{"proxy_public_key":"-----BEGIN PUBLIC KEY-----\nMCowBQYDK2VwAyEAgG0VLUEvMOMrUlZXMdGU4QKMFEJZKGfUXYx3ytvezS0=\n-----END PUBLIC KEY-----\n"},"external_network":{"control_network":{"amf_id":"9876234445","n2_interface_ipv4":{"broadcast_ip":"10.10.21.255","cidr":24,"gateway":"10.10.21.1","ip":"10.10.21.10","vlan":196},"s1mme_interface_list_ipv4":[{"broadcast_ip":"10.10.23.255","cidr":24,"gateway":"10.10.23.1","ip":"10.10.23.10","vlan":198},{"broadcast_ip":"10.10.23.255","cidr":24,"gateway":"10.10.23.1","ip":"10.10.23.11","vlan":198}],"smf_id":"AFB456"},"user_network":[{"n3_interface_ipv4":{"broadcast_ip":"10.10.22.255","cidr":24,"gateway":"10.10.22.1","ip":"10.10.22.10","vlan":197},"n6_interface_ipv4":{"broadcast_ip":"10.10.19.255","cidr":24,"gateway":"10.10.19.1","ip":"10.10.19.10","vlan":194},"n6_interface_ipv6":{"broadcast_ip":"fe80:ff:ffff:ffff:ffff:ffff:ffff:ffff","cidr":24,"gateway":"fe80::1235","ip":"fe80::1234","vlan":195},"s1u_interface_ipv4":{"broadcast_ip":"10.10.24.255","cidr":24,"gateway":"10.10.24.1","ip":"10.10.24.10","vlan":199},"upf_id":"10000"},{"n3_interface_ipv4":{"broadcast_ip":"10.10.22.255","cidr":24,"gateway":"10.10.22.1","ip":"10.10.22.11","vlan":197},"n6_interface_ipv4":{"broadcast_ip":"10.10.20.255","cidr":24,"gateway":"10.10.20.1","ip":"10.10.20.19","vlan":194},"n6_interface_ipv6":{"broadcast_ip":"fe80:ff:ffff:ffff:ffff:ffff:ffff:ffff","cidr":24,"gateway":"fe80::1237","ip":"fe80::1236","vlan":195},"s1u_interface_ipv4":{"broadcast_ip":"10.10.24.255","cidr":24,"gateway":"10.10.24.1","ip":"10.10.24.11","vlan":199},"upf_id":"10001"}]},"internal_network":{"control_signalling":{"amf_sbi_ipv4":"10.25.1.2","broadcast_ipv4":"10.25.1.255","gateway_ipv4":"10.25.1.1","ingress_ipv4":"10.25.1.11","host_os_ipv4":"10.25.1.252","mme":[{"broadcast_ipv4":"10.25.1.255","gateway_ipv4":"10.25.1.1","management_mme_ipv4":"10.25.1.14","mme_code":216,"mme_s10_ipv4":"10.25.1.15","mme_s11_ipv4":"10.25.1.16","mme_s6a_ipv4":"10.25.1.17","subnet_ipv4":"10.25.1.0/24","upf_id":"10000","vlan":2500},{"broadcast_ipv4":"10.25.1.255","gateway_ipv4":"10.25.1.1","management_mme_ipv4":"10.25.1.21","mme_code":161,"mme_s10_ipv4":"10.25.1.22","mme_s11_ipv4":"10.25.1.23","mme_s6a_ipv4":"10.25.1.24","subnet_ipv4":"10.25.1.0/24","upf_id":"10001","vlan":2500}],"proxy_4g_ipv4":"10.25.1.9","proxy_5g_ipv4":"10.25.1.8","smf_s11_ipv4":"10.25.1.6","smf_s5_ipv4":"10.25.1.3","smf_s5e_ipv4":"10.25.1.5","smf_sbi_ipv4":"10.25.1.4","subnet_ipv4":"10.25.1.0/24","upf":[{"broadcast_ipv4":"10.25.1.255","gateway_ipv4":"10.25.1.1","management_upf_ipv4":"10.25.1.11","subnet_ipv4":"10.25.1.0/24","upf_id":"10000","upf_n4_ipv4":"10.25.1.12","upf_s5e_ipv4":"10.25.1.13","vlan":2500},{"broadcast_ipv4":"10.25.1.255","gateway_ipv4":"10.25.1.1","management_upf_ipv4":"10.25.1.18","subnet_ipv4":"10.25.1.0/24","upf_id":"10001","upf_n4_ipv4":"10.25.1.19","upf_s5e_ipv4":"10.25.1.20","vlan":2500}],"vlan":2500},"docker_subnet_ipv4":{"gateway_ipv4":"10.25.5.1","subnet_ipv4":"10.25.5.0/24"},"kubernetes_pods":{"gateway_ipv4":"10.25.2.1","subnet_ipv4":"10.25.2.0/24"},"kubernetes_service":{"gateway_ipv4":"10.25.3.1","subnet_ipv4":"10.25.3.0/24"},"kvm_monitoring":[{"gateway_ipv4":"10.25.4.1","subnet_ipv4":"10.25.4.0/24","upf_id":"10000","upf_ipv4":"10.25.4.2"},{"gateway_ipv4":"10.25.4.1","mme_ipv4":"10.25.4.3","subnet_ipv4":"10.25.4.0/24","upf_id":"10000"},{"gateway_ipv4":"10.25.4.1","subnet_ipv4":"10.25.4.0/24","upf_id":"10001","upf_ipv4":"10.25.4.4"},{"gateway_ipv4":"10.25.4.1","mme_ipv4":"10.25.4.5","subnet_ipv4":"10.25.4.0/24","upf_id":"10001"}]},"machine_id":"41E5C4D3-6A83-C04A-BA8F-9D1A4FF6C29C","management_cidr":24}]}}},"networking":{"type":"object","properties":{"amf_ports":{"$ref":"#/components/schemas/NFPorts"},"cee_ports":{"$ref":"#/components/schemas/NFPorts"},"proxy4g_5gaas_ports":{"$ref":"#/components/schemas/NFPorts"},"proxy5g_5gaas_ports":{"$ref":"#/components/schemas/NFPorts"},"smf_ports":{"$ref":"#/components/schemas/NFPorts"},"staros_ports":{"$ref":"#/components/schemas/NFPorts"},"edge_infra_ports":{"$ref":"#/components/schemas/NFPorts"},"ise_prov_ports":{"$ref":"#/components/schemas/NFPorts"},"ise_proxy_ports":{"$ref":"#/components/schemas/NFPorts"}}}}},"RANPostRequest":{"type":"object","properties":{"ran_vendor":{"type":"string","description":"RAN vendor or partner","enum":["AIRSPAN","JMA","COMSCOPE"]},"ran_ems_url":{"type":"string","description":"RAN EMS url","example":"https://ran.ems.east-airpan.com"},"access_token":{"type":"string","description":"RAN EMS access token","example":"MTQ0NjJkZmQ5OTM2NDE1ZTZjNGZmZjI3"},"skip_ssl_verification":{"type":"boolean","description":"RAN EMS ssl verification true or false","default":false},"ssl_verif_public_key":{"type":"string","description":"RAN EMS polling interval","example":"-----BEGIN PUBLIC KEY-----\nMCowBQYDK2VwAyEAS0rjRA2ZgnCtR3fIy7sMqaxhm6c+9iImqwqA+Rj234C=\n-----END PUBLIC KEY-----\n"},"polling_interval_in_min":{"type":"integer","description":"RAN EMS polling interval","example":5}}},"RANPostResponse":{"type":"object","properties":{"ran_ems_id":{"type":"string","description":"RAN EMS ID of RAN EMS"},"ran_vendor":{"type":"string","description":"RAN vendor or partner","enum":["AIRSPAN","JMA","COMSCOPE"]},"ran_ems_url":{"type":"string","description":"RAN EMS url","example":"https://ran.ems.east-airpan.com"},"access_token":{"type":"string","description":"RAN EMS access token","example":"MTQ0NjJkZmQ5OTM2NDE1ZTZjNGZmZjI3"},"skip_ssl_verification":{"type":"string","description":"RAN EMS ssl verification true or false","default":false},"ssl_verify_public_key":{"type":"string","description":"RAN EMS polling interval","example":"-----BEGIN PUBLIC KEY-----\nMCowBQYDK2VwAyEAS0rjRA2ZgnCtR3fIy7sMqaxhm6c+9iImqwqA+Rj234C=\n-----END PUBLIC KEY-----\n"},"polling_interval_in_min":{"type":"integer","description":"RAN EMS polling interval","example":5}}},"RANPutResponse":{"type":"object","properties":{"version":{"type":"integer","description":"CNDP assigned version","example":1},"ran_ems_id":{"type":"string","description":"RAN EMS ID of RAN EMS"},"ran_vendor":{"type":"string","description":"RAN vendor or partner","enum":["AIRSPAN","JMA","COMSCOPE"]},"ran_ems_url":{"type":"string","description":"RAN EMS url","example":"https://ran.ems.east-airpan.com"},"access_token":{"type":"string","description":"RAN EMS access token","example":"MTQ0NjJkZmQ5OTM2NDE1ZTZjNGZmZjI3"},"skip_ssl_verification":{"type":"string","description":"RAN EMS ssl verification true or false"},"ssl_verify_public_key":{"type":"string","description":"RAN EMS public key","example":"-----BEGIN PUBLIC KEY-----\nMCowBQYDK2VwAyEAS0rjRA2ZgnCtR3fIy7sMqaxhm6c+9iImqwqA+Rj234C=\n-----END PUBLIC KEY-----\n"},"polling_interval_in_min":{"type":"integer","description":"RAN EMS polling interval","example":5}}},"ExternalNetworkIPv4":{"type":"object","properties":{"cidr":{"type":"integer","description":"Internally derived CIDR based on netmask","example":24},"gateway":{"type":"string","description":"Gateway IP received from CC","example":"10.10.19.1"},"ip":{"type":"string","description":"IP received from CC","example":"10.10.19.19"},"vlan":{"type":"string","description":"Vlan number","example":197}}},"ExternalNetworkIPv6":{"type":"object","properties":{"cidr":{"type":"integer","description":"Internally derived CIDR based on netmask","example":64},"gateway":{"type":"string","description":"Gateway IP received from CC","example":"0000:0000:0000:0000:0000:ffff:0a0a:130b"},"ip":{"type":"string","description":"IP received from CC","example":"fe80::1234"},"vlan":{"type":"string","description":"Vlan number","example":194}}},"NFPorts":{"type":"object","properties":{"netconf_port":{"type":"integer","description":"Internally derived netconf NF port","example":2232},"ssh_port":{"type":"integer","description":"Internally derived ssh NF port","example":2032}}},"Day1ConfigResponse":{"type":"object","properties":{"edgeInfo":{"type":"array","items":{"type":"object"},"example":[{"customer_id":"100020815","edge_id":"EDGE020819","machineId":"df127311-c56c-46e1-b8dd-d291ee93906b","private_subnet":"10.25.0.0/21","internal_ip":"10.25.1.10/24","secondary_ips":"10.25.1.2/24 10.25.1.9/24 10.25.1.8/24 10.25.1.7/24 10.25.1.4/24 10.25.1.6/24 10.25.1.5/24","pvt_gw_vlan":2500,"os_ip":"10.122.121.215","os_gw_ip":"10.122.121.1","nameserver_addresses":"8.8.8.8","http_proxy":"http://proxy-wsa.esl.cisco.com:80","ntp_servers":["10.81.254.131, 10.81.254.132"]},{"customer_id":"100020815","edge_id":"EDGE020819","machineId":"9ce2c651-4055-4838-891c-9ba203cb92fc","private_subnet":"10.25.0.0/21","internal_ip":"10.25.1.11/24","secondary_ips":"10.25.1.10/24 10.25.1.11/24 10.25.1.12/24 10.25.1.13/24 10.25.1.14/24 10.25.1.6/24 10.25.1.15/24","pvt_gw_vlan":2500,"os_ip":"10.122.121.216","os_gw_ip":"10.122.121.1","nameserver_addresses":"8.8.8.8","http_proxy":"http://proxy-wsa.esl.cisco.com:80","ntp_servers":["10.81.254.131, 10.81.254.132"]},{"customer_id":"100020815","edge_id":"EDGE020819","machineId":"9ce2c651-4055-4838-891c-9ba203cb92fd","private_subnet":"10.25.0.0/21","internal_ip":"10.25.1.12/24","secondary_ips":"10.25.1.10/24 10.25.1.11/24 10.25.1.12/24 10.25.1.13/24 10.25.1.14/24 10.25.1.6/24 10.25.1.15/24","pvt_gw_vlan":2500,"os_ip":"10.122.121.217","os_gw_ip":"10.122.121.1","nameserver_addresses":"8.8.8.8","http_proxy":"http://proxy-wsa.esl.cisco.com:80","ntp_servers":["10.81.254.131, 10.81.254.132"]}]}}},"ISEProxy":{"type":"object","properties":{"ise_proxy":{"type":"array","items":{"type":"object","properties":{"address_ipv4":{"type":"string","format":"ipv4","example":"10.20.30.41","description":"ise primary mandatory ipv4 address"},"auth_port":{"type":"integer","example":1812,"description":"ise auth port is optional , if not provided default set by FE Config to 1812"},"acct_port":{"type":"integer","example":1813,"description":"ise acct port is optional, if not provided default set by FE Config to 1813"},"shared_secret":{"type":"string","example":"AS2347#@%$99","description":"ise secret password"}}}},"ise_provisioning":{"type":"array","items":{"type":"object","properties":{"address_ipv4":{"type":"string","format":"ipv4","example":"10.20.30.41","description":"ise primary mandatory ipv4 address"},"api_port":{"type":"integer","example":443,"description":"ise api port is optional , if not provided default set by FE Config to 443"},"ers_port":{"type":"integer","example":9060,"description":"ise ers port optional is optional, if not provided default set by FE Config to 9060"},"username":{"type":"string","example":"admin","description":"ise provisioning server user name"},"password":{"type":"string","example":"AS2347#@%$99","description":"iise provisioning password"}}}}}},"EnableIsePatchRequest":{"type":"object","properties":{"version":{"type":"integer","description":"CNDP assigned version","example":1},"mobility_service":{"type":"object","properties":{"enable_ise":{"type":"boolean","description":"When enable_ise=true, then required ise attributes"},"ise":{"$ref":"#/components/schemas/ISEProxy"}}}}},"DisableIsePatchRequest":{"type":"object","properties":{"version":{"type":"integer","description":"CNDP assigned version","example":2}}}}}}